import QtQuick 1.1

Item {
    id: control
    property string keyCap
    property url normalKeyIcon: "images/key_off.png"
    property url pressedKeyIcon: "images/key_on.png"
    property string keyCode
    property bool showImg: normalKeyIcon.toString().length > 0
    property bool isPressed

    signal pressed
    signal released

    width: background.width
    height: background.height

    Item {
        id: background

        width: control.showImg ? img.width : frame.width
        height: control.showImg ? img.height : frame.height

        Rectangle {
            id: frame

            visible: !control.showImg
            width: 60
            height: 60
            border.width: 2
            border.color: "black"
            color: "transparent"
        }

        Image {
            id: img

            source: control.isPressed && control.pressedKeyIcon.toString().length
                    ? control.pressedKeyIcon : control.normalKeyIcon
        }
    }

    Text {
        id: keyText

        anchors.centerIn: background
        text: keyCap
    }

    MouseArea {
        anchors.fill: parent
        onPressed: {
            console.log("P", control.pressedKeyIcon)
            control.isPressed = true;
            control.pressed();
        }
        onReleased:  {
            console.log("R", control.normalKeyIcon)
            control.isPressed = false;
            control.released();
        }
    }


}
