import QtQuick 1.1

Grid {
    id: control
    property url normalKeyIcon
    property url pressedlKeyIcon
    property int keySpacing: 10
    property variant keyDefs:
            [
                {keyCap: '1', keyCode: '1'},
                {keyCap: '2', keyCode: '2'},
                {keyCap: '3', keyCode: '3'},
                {keyCap: '4', keyCode: '4'},
                {keyCap: '5', keyCode: '5'},
                {keyCap: '6', keyCode: '6'},
                {keyCap: '7', keyCode: '7'},
                {keyCap: '8', keyCode: '8'},
                {keyCap: '9', keyCode: '9'},
                {keyCap: '0', keyCode: '0'},
                {keyCap: 'Backspace', keyCode: KeyCodes.keyBackspace},
                {keyCap: 'Enter', keyCode: KeyCodes.keyEnter}
            ]
    columns: 3
    spacing: control.keySpacing

    Repeater {
        id: repeater

        model: control.keyDefs

        Key {
            keyCap: repeater.model[index].keyCap
            keyCode: repeater.model[index].keyCode
            normalKeyIcon: repeater.model[index].normalKeyIcon ? repeater.model[index].normalKeyIcon: normalKeyIcon//control.normalKeyIcon
            pressedKeyIcon: repeater.model[index].pressedKeyIcon ? repeater.model[index].pressedKeyIcon : pressedlKeyIcon//control.pressedlKeyIcon
            onReleased: handleKeyPress(keyCode)
        }
    }
}
